summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--x11-libs/tqscintilla/Manifest1
-rw-r--r--x11-libs/tqscintilla/tqscintilla-14.0.11.ebuild58
-rw-r--r--x11-libs/tqscintilla/tqscintilla-9999.ebuild58
3 files changed, 117 insertions, 0 deletions
diff --git a/x11-libs/tqscintilla/Manifest b/x11-libs/tqscintilla/Manifest
new file mode 100644
index 00000000..8e8c4964
--- /dev/null
+++ b/x11-libs/tqscintilla/Manifest
@@ -0,0 +1 @@
+DIST tqscintilla-trinity-14.0.11.tar.xz 652000 BLAKE2B 914673873110fb5e9a70cf086283169c42c9eee738ee71b35d5ca02eedec0dd7b6a6b3f3deadcc230cd294c043fd390a6cc2b327b96ab24861c70eeabb548007 SHA512 17bc7456cae4681be028c2d0a3b5769ece0068082d295b77a631d0a99359ec334cae30a1f801a7a6464a3a985e020e39a30b8d8a04662abff5d37afed3f750bf
diff --git a/x11-libs/tqscintilla/tqscintilla-14.0.11.ebuild b/x11-libs/tqscintilla/tqscintilla-14.0.11.ebuild
new file mode 100644
index 00000000..d7c880ce
--- /dev/null
+++ b/x11-libs/tqscintilla/tqscintilla-14.0.11.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_TYPE="dependencies"
+TRINITY_MODULE_NAME="tqscintilla"
+
+inherit trinity-base-2
+
+DESCRIPTION="TQt source code editing component based on Scintilla"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="~dev-tqt/tqtinterface-${PV}"
+RDEPEND="${DEPEND}"
+
+TQBASE="/usr/tqt3"
+
+src_prepare() {
+ sed -i -e "s|include/tqt|include/tqt ${TQBASE}/include|" "${S}/qt/qscintilla.pro" || die
+ eapply_user
+}
+
+src_configure() {
+ echo 'QMAKE_CXXFLAGS += -std=c++98' >>"designer/designer.pro"
+ echo 'QMAKE_LIBS += -L${S}/lib' >>"designer/designer.pro"
+ pushd qt || die
+ tqmake "DESTDIR=${S}/lib" || die
+ popd
+ pushd designer || die
+ tqmake || die
+ popd
+}
+
+src_compile() {
+ emake -C qt
+ emake -C designer
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}" -C qt install
+ insinto "${TQBASE}/$(get_libdir)"
+ insopts "-m 0755"
+ doins lib/*
+ insinto "${TQBASE}/plugins/designer"
+ doins designer/*.so
+ insopts "-m 0644"
+ insinto "${TQBASE}/include/private"
+ doins include/*.h
+ insinto "${TDEDIR}/share/doc/tde/HTML/en/tqscintilla"
+ doins doc/html/*
+}
diff --git a/x11-libs/tqscintilla/tqscintilla-9999.ebuild b/x11-libs/tqscintilla/tqscintilla-9999.ebuild
new file mode 100644
index 00000000..d7c880ce
--- /dev/null
+++ b/x11-libs/tqscintilla/tqscintilla-9999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2021 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+TRINITY_MODULE_TYPE="dependencies"
+TRINITY_MODULE_NAME="tqscintilla"
+
+inherit trinity-base-2
+
+DESCRIPTION="TQt source code editing component based on Scintilla"
+HOMEPAGE="https://trinitydesktop.org/"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+DEPEND="~dev-tqt/tqtinterface-${PV}"
+RDEPEND="${DEPEND}"
+
+TQBASE="/usr/tqt3"
+
+src_prepare() {
+ sed -i -e "s|include/tqt|include/tqt ${TQBASE}/include|" "${S}/qt/qscintilla.pro" || die
+ eapply_user
+}
+
+src_configure() {
+ echo 'QMAKE_CXXFLAGS += -std=c++98' >>"designer/designer.pro"
+ echo 'QMAKE_LIBS += -L${S}/lib' >>"designer/designer.pro"
+ pushd qt || die
+ tqmake "DESTDIR=${S}/lib" || die
+ popd
+ pushd designer || die
+ tqmake || die
+ popd
+}
+
+src_compile() {
+ emake -C qt
+ emake -C designer
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}" -C qt install
+ insinto "${TQBASE}/$(get_libdir)"
+ insopts "-m 0755"
+ doins lib/*
+ insinto "${TQBASE}/plugins/designer"
+ doins designer/*.so
+ insopts "-m 0644"
+ insinto "${TQBASE}/include/private"
+ doins include/*.h
+ insinto "${TDEDIR}/share/doc/tde/HTML/en/tqscintilla"
+ doins doc/html/*
+}